'# MWS Version: Version 2006.0.0 - Oct 27 2005 - 15:07:04

'# length = mm
'# frequency = GHz
'# time = ns
'# frequency range: fmin = 0.05 fmax = 0.15


'@ use template: Antenna (in Free Space, waveguide)

' Template for Antenna in Free Space
' ==================================
' (CSTxMWSxONLY)
' draw the bounding box
Plot.DrawBox True
' set units to mm, ghz
With Units 
     .Geometry "mm" 
     .Frequency "ghz" 
     .Time "ns" 
End With 
' set background material to vacuum
With Background 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
End With 
' set boundary conditions to open
With Boundary
     .Xmin "expanded open" 
     .Xmax "expanded open" 
     .Ymin "expanded open" 
     .Ymax "expanded open" 
     .Zmin "expanded open" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With

'@ import sat file: C:\Documents and Settings\wjs\\tiaopin.sat

With SAT
     .Reset 
     .FileName "*tiaopin.sat" 
     .ImportToActiveCoordinateSystem "True" 
     .Read 
End With

'@ delete shape: default:import_9

Solid.Delete "default:import_9"

'@ change material: default:import_11 to: PEC

Solid.ChangeMaterial "default:import_11", "PEC"

'@ change material: default:import_12 to: PEC

Solid.ChangeMaterial "default:import_12", "PEC"

'@ change material: default:import_10 to: PEC

Solid.ChangeMaterial "default:import_10", "PEC"

'@ change material: default:import_8 to: Vacuum

Solid.ChangeMaterial "default:import_8", "Vacuum"

'@ define material: material1

With Material 
     .Reset 
     .Name "material1"
     .FrqType "hf" 
     .Type "Normal" 
     .Epsilon "2.25" 
     .Mue "1.0" 
     .Kappa "0.0" 
     .TanD "0.0" 
     .TanDFreq "0.0" 
     .TanDGiven "False" 
     .TanDModel "ConstTanD" 
     .KappaM "0.0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstTanD" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0.0" 
     .ThermalConductivity "0.0" 
     .SetActiveMaterial "hf" 
     .Colour "0", "0.501961", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ change material: default:import_7 to: material1

Solid.ChangeMaterial "default:import_7", "material1"

'@ change material: default:import_5 to: material1

Solid.ChangeMaterial "default:import_5", "material1"

'@ change material: default:import_6 to: material1

Solid.ChangeMaterial "default:import_6", "material1"

'@ change material: default:import_2 to: material1

Solid.ChangeMaterial "default:import_2", "material1"

'@ change material: default:import_3 to: material1

Solid.ChangeMaterial "default:import_3", "material1"

'@ change material: default:import_4 to: PEC

Solid.ChangeMaterial "default:import_4", "PEC"

'@ change material: default:import_1 to: PEC

Solid.ChangeMaterial "default:import_1", "PEC"

'@ define boundaries

With Boundary
     .Xmin "expanded open" 
     .Xmax "expanded open" 
     .Ymin "expanded open" 
     .Ymax "expanded open" 
     .Zmin "expanded open" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With

'@ pick face

Pick.PickFaceFromId "default:import_10", "12"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "ymax" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "-14", "14" 
     .Yrange "57", "57" 
     .Zrange "-14", "14" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .Create 
End With

'@ define frequency range

Solver.FrequencyRange "0.05", "0.15"

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ delete shape: default:import_8

Solid.Delete "default:import_8"

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ delete port: port1

Port.Delete "1"

'@ pick face

Pick.PickFaceFromId "default:import_1", "22"

'@ define extrude: default:solid1

With Extrude 
     .Reset 
     .Name "solid1" 
     .Component "default" 
     .Material "PEC" 
     .Mode "Picks" 
     .Height "10" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With

'@ pick face

Pick.PickFaceFromId "default:import_10", "12"

'@ define extrude: default:solid2

With Extrude 
     .Reset 
     .Name "solid2" 
     .Component "default" 
     .Material "PEC" 
     .Mode "Picks" 
     .Height "10" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With

'@ boolean add shapes: default:import_10, default:solid2

Solid.Add "default:import_10", "default:solid2"

'@ boolean add shapes: default:import_1, default:solid1

Solid.Add "default:import_1", "default:solid1"

'@ pick face

Pick.PickFaceFromId "default:import_10", "3"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "ymax" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "-14", "14" 
     .Yrange "67", "67" 
     .Zrange "-14", "14" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .Create 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalConductivity "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With

'@ pick face

Pick.PickFaceFromId "default:import_4", "34"

'@ define extrude: default:solid1

With Extrude 
     .Reset 
     .Name "solid1" 
     .Component "default" 
     .Material "PEC" 
     .Mode "Picks" 
     .Height "10" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ boolean add shapes: default:import_4, default:solid1

Solid.Add "default:import_4", "default:solid1"

'@ change material: default:import_4 to: Vacuum

Solid.ChangeMaterial "default:import_4", "Vacuum"

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ delete port: port1

Port.Delete "1"

'@ pick face

Pick.PickFaceFromId "default:import_10", "3"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "ymax" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "-14", "14" 
     .Yrange "67", "67" 
     .Zrange "-14", "14" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .Create 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ delete port: port1

Port.Delete "1"

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalConductivity "0.0" 
     .XminSpace "50" 
     .XmaxSpace "50" 
     .YminSpace "50" 
     .YmaxSpace "50" 
     .ZminSpace "50" 
     .ZmaxSpace "50" 
     .ApplyInAllDirections "False" 
End With

'@ pick face

Pick.PickFaceFromId "default:import_10", "3"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "ymax" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "-14", "14" 
     .Yrange "67", "67" 
     .Zrange "-14", "14" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .Create 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ delete port: port1

Port.Delete "1"

'@ pick face

Pick.PickFaceFromId "default:import_10", "3"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "5" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "ymax" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "-14", "14" 
     .Yrange "67", "67" 
     .Zrange "-14", "14" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .Create 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ change material: default:import_4 to: Vacuum

Solid.ChangeMaterial "default:import_4", "Vacuum"

'@ change material: default:import_1 to: PEC

Solid.ChangeMaterial "default:import_1", "PEC"

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalConductivity "0.0" 
     .XminSpace "10" 
     .XmaxSpace "10" 
     .YminSpace "10" 
     .YmaxSpace "10" 
     .ZminSpace "10" 
     .ZmaxSpace "10" 
     .ApplyInAllDirections "False" 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ pick face

Pick.PickFaceFromId "default:import_4", "40"

'@ align wcs with face

WCS.AlignWCSWithSelectedFace 
Pick.PickCenterpointFromId "default:import_4", "40" 
WCS.AlignWCSWithSelectedPoint

'@ define cylinder: default:solid1

With Cylinder 
     .Reset 
     .Name "solid1" 
     .Component "default" 
     .Material "PEC" 
     .OuterRadius "20.2" 
     .InnerRadius "0" 
     .Axis "z" 
     .Zrange "0", "2" 
     .Xcenter "0" 
     .Ycenter "0" 
     .Segments "0" 
     .Create 
End With

'@ pick face

Pick.PickFaceFromId "default:import_4", "43"

'@ align wcs with face

WCS.AlignWCSWithSelectedFace 
Pick.PickCenterpointFromId "default:import_4", "43" 
WCS.AlignWCSWithSelectedPoint

'@ define cylinder: default:solid2

With Cylinder 
     .Reset 
     .Name "solid2" 
     .Component "default" 
     .Material "PEC" 
     .OuterRadius "20.2" 
     .InnerRadius "0" 
     .Axis "z" 
     .Zrange "0", "2" 
     .Xcenter "0" 
     .Ycenter "0" 
     .Segments "0" 
     .Create 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ delete port: port1

Port.Delete "1"

'@ pick face

Pick.PickFaceFromId "default:import_4", "3"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "ymax" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "-12", "12" 
     .Yrange "67", "67" 
     .Zrange "-12", "12" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .Create 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ boolean add shapes: default:import_10, default:solid1

Solid.Add "default:import_10", "default:solid1"

'@ boolean add shapes: default:import_10, default:solid2

Solid.Add "default:import_10", "default:solid2"

'@ boolean add shapes: default:import_10, default:import_11

Solid.Add "default:import_10", "default:import_11"

'@ boolean add shapes: default:import_10, default:import_12

Solid.Add "default:import_10", "default:import_12"

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ boolean insert shapes: default:import_4, default:import_2

Solid.Insert "default:import_4", "default:import_2"

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ boolean insert shapes: default:import_4, default:import_3

Solid.Insert "default:import_4", "default:import_3"

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ boolean insert shapes: default:import_4, default:import_7

Solid.Insert "default:import_4", "default:import_7"

'@ boolean insert shapes: default:import_4, default:import_6

Solid.Insert "default:import_4", "default:import_6"

'@ boolean insert shapes: default:import_4, default:import_5

Solid.Insert "default:import_4", "default:import_5"

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ delete port: port1

Port.Delete "1"

'@ pick face

Pick.PickFaceFromId "default:import_4", "23"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "ymax" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "-12", "12" 
     .Yrange "67", "67" 
     .Zrange "-12", "12" 
     .XrangeAdd "5", "5" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "5", "5" 
     .Create 
End With 


'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ define boundaries

With Boundary
     .Xmin "open" 
     .Xmax "open" 
     .Ymin "open" 
     .Ymax "open" 
     .Zmin "open" 
     .Zmax "open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-50" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ set tetrahedral mesh type

Mesh.MeshType "Tetrahedral"

'@ define frequency domain solver parameters

With Solver
     .CalculationType "FD-S" 
     .FDSolverReset 
     .FDSolverMethod "Tetrahedral Mesh" 
     .FDSolverOrder "Second" 
     .FDSolverStimulation "All", "1" 
     .FDSolverResetExcitationList 
     .FDSolverAutoNormImpedance "False" 
     .FDSolverNormingImpedance "50" 
     .FDSolverModesOnly "False" 
     .FDSolverAccuracyHex "1e-6" 
     .FDSolverAccuracyTet "1e-4" 
     .FDSolverLimitIterations "False" 
     .FDSolverMaxIterations "0" 
     .FDSolverLimitCPUs "False" 
     .FDSolverMaxCPUs "2" 
     .FDSolverStoreAllResults "True" 
     .StoreFDResultsInCache "True" 
     .FDSolverUseHelmholtzEquation "True" 
     .FDSolverLowFrequencyStabilization "False" 
     .FDSolverType "Auto" 
     .FDSolverMeshAdaptionHex "False" 
     .FDSolverMeshAdaptionTet "True" 
     .FDSolverAcceleratedRestart "True" 
     .FDSolverHexMORSettings "", "1001" 
     .FDSolverNewIterativeSolver "True" 
     .FDSolverTDCompatibleMaterials "False" 
     .FDSolverExtrudeOpenBC "True" 
     .FDSolverAddMonitorSamples "True" 
     .FDSolverSParaFit "True" 
     .FDSolverFitThreshold "True", "0.001" 
     .FDSolverSweepErrorChecks "2" 
     .FDSolverSweepMinimumSamples "3" 
     .FDSolverSweepConsiderAll "True" 
     .FDSolverSweepConsiderReset 
     .FDSolverInterpolationSamples "1001" 
     .FDSolverSweepWeightEvanescent "1.0" 
     .FDSolverAddFrequencyIntervall "", "", "1", "Adaptation" 
     .FDSolverAddFrequencyIntervall "0.055", "0.08", "", "Automatic" 
     .FDSolverAddFrequencyIntervall "0.08", "0.105", "", "Automatic" 
     .FDSolverAddFrequencyIntervall "0.105", "0.13", "", "Automatic" 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-50" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With 


'@ set pba mesh type

Mesh.MeshType "PBA" 


'@ define automesh parameters

With Mesh 
     .AutomeshStraightLines "True" 
     .AutomeshEllipticalLines "True" 
     .AutomeshRefineAtPecLines "True", "2" 
     .AutomeshRefinePecAlongAxesOnly "False" 
     .AutomeshAtEllipseBounds "True", "10" 
     .AutomeshAtWireEndPoints "True" 
     .AutomeshAtProbePoints "True" 
     .SetAutomeshRefineDielectricsType "Wave" 
     .MergeThinPECLayerFixpoints "False" 
     .EquilibrateMesh "False" 
     .UsePecEdgeModel "True" 
     .MeshType "PBA" 
     .AutoMeshLimitShapeFaces "True" 
     .AutoMeshNumberOfShapeFaces "1000" 
     .PointAccEnhancement "0" 
     .SurfaceOptimization "True" 
     .SurfaceSmoothing "3" 
     .MinimumCurvatureRefinement "100" 
     .CurvatureRefinementFactor "0.05" 
     .SmallFeatureSize "0.0" 
     .VolumeOptimization "True" 
     .VolumeSmoothing "True" 
     .DensityTransitions "0.5" 
     .ConvertGeometryDataAfterMeshing "True" 
     .AutomeshFixpointsForBackground "True" 
     .PBAType "PBA" 
     .FastPBAAccuracy "3" 
End With 

With Solver 
     .UseSplitComponents "True" 
     .PBAFillLimit "90" 
     .EnableSubgridding "False" 
     .SetMaximumSubgridDepth "" 
End With 


'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With 


